org.apache.pdfbox.pdmodel.documentinterchange.markedcontent

## Class PDPropertyList

- java.lang.Object
- - org.apache.pdfbox.pdmodel.documentinterchange.markedcontent.PDPropertyList

All Implemented Interfaces:
  COSObjectable

Direct Known Subclasses:
  PDOptionalContentGroup, PDOptionalContentMembershipDictionary

    public class PDPropertyList
    extends Object
    implements COSObjectable

A property list is a dictionary containing private information meaningful to the conforming writer creating the marked content.

### Field Summary

Fields
`protected COSDictionary` `dict`

### Constructor Summary

Constructors
`protected` `PDPropertyList()` Constructor for subclasses.
`protected` `PDPropertyList(COSDictionary dict)` Constructor for subclasses.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static PDPropertyList` `create(COSDictionary dict)` Creates a property list from the given dictionary.
`COSDictionary` `getCOSObject()` Convert this standard java object to a COS object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### dict

    protected final COSDictionary dict

### Constructor Detail

#### PDPropertyList

    protected PDPropertyList()

Constructor for subclasses.

#### PDPropertyList

    protected PDPropertyList(COSDictionary dict)

Constructor for subclasses.

Parameters:
  `dict` - the dictionary to be used to create an instance of PDPropertyList

### Method Detail

#### create

    public static PDPropertyList create(COSDictionary dict)

Creates a property list from the given dictionary.

Parameters:
  `dict` - COS dictionary
Returns:
  a new instance of a PDPropertyList using the given dictionary

#### getCOSObject

    public COSDictionary getCOSObject()

Description copied from interface: `COSObjectable`
Convert this standard java object to a COS object.

Specified by:
  `getCOSObject` in interface `COSObjectable`
Returns:
  The cos object that matches this Java object.